#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

#include <mysql.h>

int main(int argc, char **argv) {
  MYSQL mysql;

  if(mysql_init(&mysql)==NULL){
    fprintf(stderr, "Failed to initate MySQL connection\n");
    exit (1);
  }

  if(mysql_real_connect(&mysql,"127.0.0.1","root","","test",3306,NULL,0) == NULL)
  {
    fprintf(stderr, "Real connection failed: %s\n", mysql_error(&mysql));
    exit (1);
  }
  printf("\nConnected as ID %d\n", mysql_thread_id(&mysql));

  if(mysql_real_connect(&mysql,"127.0.0.1","root","","test",3306,NULL,0) == NULL)
  {
    fprintf(stderr, "Real connection failed: %s\n", mysql_error(&mysql));
    exit (1);
  }
  printf("\nConnected again as ID %d\n", mysql_thread_id(&mysql));

  printf("\nSleeping one minute ...\n");
  sleep(60);

  mysql_close(&mysql);
  printf("\nDisconnected");  

  printf("\nSleeping one minute ...\n");
  sleep(60);

  printf("\NTerminating\n");

  return 0;
}
